%define name2 fftscope
Name: alsaplayer-fft
Summary: Scope plugin for alsaplayer
Version: 1.0.6
Release: 3%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://www.alsaplayer.org
Source: http://www.alsaplayer.org/%{name2}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: alsaplayer-devel gtk2-devel >= 2.0.3
Requires: alsaplayer

%description
FftScope is the first released external visualization scope for AlsaPlayer
It will hopefully be a good starting point for others.
The scope API is generic enough to be useful in other projects.
The ultimate goal is to create a system wide visualization by either tapping
straight into ALSA or the jack sound server.

%prep
%setup -q -n %{name2}-%{version}

%build
./configure --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --mandir=%{_mandir}
make 

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog INSTALL README
%{_libdir}/alsaplayer/scopes2/libfftscope.so
%{_libdir}/alsaplayer/scopes2/libfftscope.la

%changelog

* Sat Mar 21 2009 Paulo Roma <roma@lcg.ufrj.br> 1.0.6-3
- Added Requires: alsaplayer

* Sat Nov 17 2007 Paulo Roma <roma@lcg.ufrj.br> 1.0.6-2
- Added BR gtk2-devel.

* Thu Jul 26 2007 Paulo Roma <roma@lcg.ufrj.br> 1.0.6-1
- Initial spec file.

